## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathFactory::DeleteXPathFunctor Struct Reference

A functor for use with stl algorithms. More...

Collaboration diagram for XPathFactory::DeleteXPathFunctor:

[legend]
List of all members.

## Public Member Functions

- DeleteXPathFunctor (XPathFactory &theFactoryInstance, bool fInReset=false)
- result_type operator() (argument_type theXPath) const

## Detailed Description

A functor for use with stl algorithms.

## Constructor & Destructor Documentation

XPathFactory::DeleteXPathFunctor::DeleteXPathFunctor | ( | XPathFactory & | theFactoryInstance,
|  | bool | fInReset = false
| ) |

## Member Function Documentation

result_type XPathFactory::DeleteXPathFunctor::operator() | ( | argument_type | theXPath | ) | const

The documentation for this struct was generated from the following file:

- XPathFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.